#include <stdio.h>
#include <math.h>

long long int a[10010];
long long int n,m,x,y,s=0;
int main()
{
    scanf("%lld %lld",&n,&m);
    for(long long int i=1;i<=n;i++){
        scanf("%lld",&a[i]);
    }
    for(long long int i=0;i<m;i++){
        scanf("%lld %lld",&x,&y);
        s+=fabs(a[x]+a[y]);
    }
    printf("%lld",s);
    return 0;
}